debugpy (1.8.19+ds-1ubuntu3) resolute; urgency=medium

  * No-change rebuild with rebuilt pydevd
    python3-debugpy vendors binaries from python3-devd,
    so it needs to rebuilt after pydevd for Python 3.14 only

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 10 Apr 2026 08:52:54 +0000

debugpy (1.8.19+ds-1ubuntu2) resolute; urgency=medium

  * No-change rebuild to drop Python 3.13 bits.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 20 Mar 2026 11:32:31 +0100

debugpy (1.8.19+ds-1ubuntu1) resolute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - disable tests

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 29 Dec 2025 08:21:08 +0100

debugpy (1.8.19+ds-1) unstable; urgency=medium

  * New upstream version
  * Refresh patches
  * Upgrade d/watch to version 5
  * Exclude new test that fails
    (tests/debugpy/test_multiproc.py::test_subprocess_with_parent_pid)
  * Update Standards-Version to 4.7.3

 -- Julian Gilbey <jdg@debian.org>  Thu, 25 Dec 2025 22:57:21 +0000

debugpy (1.8.12+ds-1ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - disable tests

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 09 Apr 2025 09:35:36 +0200

debugpy (1.8.12+ds-1) unstable; urgency=medium

  * New upstream version
  * Exclude pydevd from upstream and reverse the change in 1.8.2 as
    upstream have reverted to staying in sync with pydevd.
  * We now copy python3-pydevd into this package at build time to match
    upstream's setup; there might be issues if symlinks are used.

 -- Julian Gilbey <jdg@debian.org>  Mon, 07 Apr 2025 13:13:53 +0100

debugpy (1.8.8+ds-2ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - disable tests

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 21 Nov 2024 13:04:41 +0100

debugpy (1.8.8+ds-2) unstable; urgency=medium

  * Respect dpkg-buildpackage --jobs=... setting (closes: #1082429)

 -- Julian Gilbey <jdg@debian.org>  Wed, 20 Nov 2024 20:06:15 +0000

debugpy (1.8.8+ds-1ubuntu2) plucky; urgency=medium

  * No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 15 Nov 2024 04:38:12 +0100

debugpy (1.8.8+ds-1ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - disable tests

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 12 Nov 2024 07:00:28 +0100

debugpy (1.8.8+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Mon, 11 Nov 2024 09:12:46 +0000

debugpy (1.8.7+ds-1ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - disable tests

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 09 Nov 2024 20:17:08 +0100

debugpy (1.8.7+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - Get Python 3.13 to work (closes: #1082090).

 -- Colin Watson <cjwatson@debian.org>  Tue, 05 Nov 2024 02:04:21 +0000

debugpy (1.8.5+ds-1ubuntu1) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - disable tests

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 16 Sep 2024 13:56:00 +0200

debugpy (1.8.5+ds-1) unstable; urgency=medium

  * New upstream version
  * Fix preinst script

 -- Julian Gilbey <jdg@debian.org>  Tue, 27 Aug 2024 20:20:57 +0100

debugpy (1.8.2+ds-5ubuntu1) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - disable tests

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 12 Jul 2024 17:10:25 +0200

debugpy (1.8.2+ds-5) unstable; urgency=medium

  * More tests failed on the buildd network with version -4; skip these
    too

 -- Julian Gilbey <jdg@debian.org>  Fri, 12 Jul 2024 06:57:27 +0100

debugpy (1.8.2+ds-4ubuntu1) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - disable tests

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 08 Jul 2024 13:07:13 +0200

debugpy (1.8.2+ds-4) unstable; urgency=medium

  * Skip a few more failing tests

 -- Julian Gilbey <jdg@debian.org>  Mon, 08 Jul 2024 07:19:18 +0100

debugpy (1.8.2+ds-3) unstable; urgency=medium

  * Skip failing tests on some architectures and add a README.Debian
    explaining the situation
  * Use the Spyder-derived code, borrowed from pydevd, to improve retest
    time
  * Delete old pydevd symlinks before installing a new version of debugpy
    (closes: #1075790)

 -- Julian Gilbey <jdg@debian.org>  Sun, 07 Jul 2024 19:26:01 +0100

debugpy (1.8.2+ds-2) unstable; urgency=medium

  * Fix pytest-timeout patch

 -- Julian Gilbey <jdg@debian.org>  Fri, 05 Jul 2024 08:14:34 +0100

debugpy (1.8.2+ds-1ubuntu1) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - disable tests

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 05 Jul 2024 08:41:08 +0200

debugpy (1.8.2+ds-1) unstable; urgency=medium

  * New upstream version (closes: #1075603)
  * Upstream no longer tracks the current pydevd, and there is no prospect
    of this changing in the near to medium future, so start using vendored
    pydevd instead.
    See https://github.com/microsoft/debugpy/discussions/1611

 -- Julian Gilbey <jdg@debian.org>  Thu, 04 Jul 2024 18:23:42 +0100

debugpy (1.8.0+ds-4ubuntu4) noble; urgency=medium

  * Disable build-time tests which were failing anyway,
    and causing a misbuild including vendored pydevd binaries

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 18 Apr 2024 15:22:20 +0000

debugpy (1.8.0+ds-4ubuntu3) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 10 Apr 2024 17:35:54 +0000

debugpy (1.8.0+ds-4ubuntu2) noble; urgency=medium

  * No-change rebuild to build with python3.12 only.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Mar 2024 23:15:35 +0100

debugpy (1.8.0+ds-4ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Ignore test failures, they fail in Debian too (Closes: #1025637)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 10 Jan 2024 16:30:32 +0100

debugpy (1.8.0+ds-4) unstable; urgency=medium

  * Silence unvendored warning when using system pydevd
  * Reinstate flask tests now that python3-werkzeug has been updated

 -- Julian Gilbey <jdg@debian.org>  Tue, 09 Jan 2024 09:04:22 +0000

debugpy (1.8.0+ds-3ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Ignore test failures, they fail in Debian too (Closes: #1025637)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 30 Dec 2023 11:21:49 +0100

debugpy (1.8.0+ds-3) unstable; urgency=medium

  * Skip failing tests (closes: #1058401)

 -- Julian Gilbey <jdg@debian.org>  Fri, 29 Dec 2023 14:15:49 +0000

debugpy (1.8.0+ds-2ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Ignore test failures, they fail in Debian too (Closes: #1025637)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 26 Oct 2023 08:55:15 +0200

debugpy (1.8.0+ds-2) unstable; urgency=medium

  * Depend on more recent pydevd, otherwise tests break

 -- Julian Gilbey <jdg@debian.org>  Sun, 22 Oct 2023 16:29:11 +0100

debugpy (1.8.0+ds-1) unstable; urgency=medium

  * New upstream version 1.8.0+ds

 -- Julian Gilbey <jdg@debian.org>  Thu, 19 Oct 2023 07:48:47 +0100

debugpy (1.6.7+ds-1ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Ignore test failures, they fail in Debian too (Closes: #1025637)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 24 Jun 2023 23:03:07 +0200

debugpy (1.6.7+ds-1) unstable; urgency=medium

  * New upstream version

 -- Julian Gilbey <jdg@debian.org>  Tue, 13 Jun 2023 22:01:54 +0100

debugpy (1.6.6+ds-1ubuntu2) lunar; urgency=medium

  * No-change rebuild with Python 3.11 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 16 Mar 2023 07:20:09 +0000

debugpy (1.6.6+ds-1ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Ignore test failures, they fail in Debian too (Closes: #1025637)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 14 Feb 2023 14:48:50 +0100

debugpy (1.6.6+ds-1) unstable; urgency=medium

  * New upstream version
  * Python 3.11 is now supported, so remove README.Debian

 -- Julian Gilbey <jdg@debian.org>  Sat, 11 Feb 2023 21:32:06 +0000

debugpy (1.6.4+git20221217.c419d5a+ds-1ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Ignore test failures, they fail in Debian too (Closes: #1025637)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 07 Jan 2023 18:42:36 +0100

debugpy (1.6.4+git20221217.c419d5a+ds-1) unstable; urgency=medium

  * New upstream version
  * Exclude failing tests on Python 3.11; hopefully this closes:
    #1025615), but it may be that other tests fail on architectures
    besides amd64
  * Add a README explaining that this package is not yet compatible with
    Python 3.11, so many issues may arise

 -- Julian Gilbey <jdg@debian.org>  Wed, 04 Jan 2023 22:31:34 +0000

debugpy (1.6.3+git20221103.a2a3328+ds-1ubuntu1) lunar; urgency=medium

  * Ignore test failures, they fail in Debian too (Closes: #1025637)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 06 Dec 2022 17:59:46 +0100

debugpy (1.6.3+git20221103.a2a3328+ds-1) unstable; urgency=medium

  * New upstream snapshot
  * Attempt to fix test failures (Closes: #1022188)

 -- Julian Gilbey <jdg@debian.org>  Wed, 09 Nov 2022 07:31:31 +0000

debugpy (1.6.3+ds-1) unstable; urgency=medium

  * New upstream version

 -- Julian Gilbey <jdg@debian.org>  Thu, 08 Sep 2022 07:55:18 +0100

debugpy (1.6.2+dfsg-2) unstable; urgency=medium

  * Source-only upload

 -- Julian Gilbey <jdg@debian.org>  Mon, 08 Aug 2022 08:51:26 +0100

debugpy (1.6.2+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #933190)
    Initial packaging work (on the predecessor ptvsd) by William
    Grzybowski <william@grzy.org>

 -- Julian Gilbey <jdg@debian.org>  Thu, 04 Aug 2022 08:31:09 +0100
